IlluminaID2nuID {lumi} | R Documentation

## Matching Illumina IDs to nuID based on Illumina ID mapping library

### Description

Matching Illumina IDs to nuID based on Illumina ID mapping libraries.

### Usage

    IlluminaID2nuID(IlluminaID, lib.mapping=NULL, species = c("Human", "Mouse", "Rat", "Unknown"), chipVersion = NULL, ...)

### Arguments

`IlluminaID` | a vector of Illumina IDs
`lib.mapping` | the ID mapping library. If it is provided, the parameter "species" will be ignored.
`species` | the species of the chip designed for. If users do not know it, it can be set as "Unknown".
`chipVersion` | chipVersion information returned by function `getChipInfo`
`...` | other parameters of `getChipInfo`

### Details

When the parameter "chipVersion" is not provided, this function basically returned the "idMapping" item returned by function `getChipInfo`.

### Value

The mapping information from Illumina ID to nuID. It will be a matrix with each column corresponding to one matched manifest file when parameter "returnAllMatches" is TRUE. In this case, the columns are sorted from the best match to worst. If IlluminaID is NULL and chipVersion is provided, it will return all mapping information of the chip.

### Author(s)

Pan Du

### See Also

`getChipInfo`, `nuID2IlluminaID`

[Package lumi version 1.10.2 Index]